Bug 55338 - Grub looping on boot
Grub looping on boot
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: grub (Show other bugs)
7.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-29 16:53 EST by Norm Murray
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-29 16:58:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Norm Murray 2001-10-29 16:53:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-10smp i686)

Description of problem:
I just upgraded one of our systems to RH 7.2 and I'm having GRUB problems. 
When the system boots it continuely prints "GRUB" in some kind of loop.

The system was upgraded from RH 7.1 to RH 7.2.


Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:

I just upgraded one of our systems to RH 7.2 and I'm having GRUB problems. 
When the system boots it continuely prints "GRUB" in some kind of loop.

The system was upgraded from RH 7.1 to RH 7.2.

The system has 1 IDE (non-boot) disk and 3 SCSI disks.  /boot is on sda. 
The
SCSI controller is an Adaptec 29160.

I've run "grub-install /dev/sda" several times.

I am able to boot the system from floppy after I created one with
mkbootdisk.

Here's fstab:

#
# $Id: fstab,v 1.6 2001/08/04 18:31:36 root Exp root $
#
/dev/sda6               /                       ext3    defaults        1 1
/dev/sda1               /boot                   ext3    defaults        1 2
/dev/sdb1               /export                 ext3    defaults        1 2
/dev/sdc1               /export/softdist        ext3    defaults        1 1
/dev/hda1               /export/music           ext3    defaults        1 1
/dev/cdrom              /mnt/cdrom              iso9660 noauto,owner,ro 0 0
/dev/fd0                /mnt/floppy             auto    noauto,owner    0 0
none                    /proc                   proc    defaults        0 0
none                    /dev/shm                tmpfs   defaults        0 0
none                    /dev/pts                devpts  gid=5,mode=620  0 0
/dev/sda5               swap                    swap    defaults        0 0
/SWAP                   swap                    swap    defaults        0 0

Here's /boot/grub/grub.conf:

# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /boot/, eg.
#          root (hd1,0)
#          kernel /vmlinuz-version ro root=/dev/sda6
#          initrd /initrd-version.img
#boot=/dev/sda1
default=0
timeout=10
splashimage=(hd1,0)/grub/splash.xpm.gz
title Red Hat Linux (2.4.9-7enterprise)
        root (hd1,0)
        kernel /vmlinuz-2.4.9-7enterprise ro root=/dev/sda6
        initrd /initrd-2.4.9-7enterprise.img
title Red Hat Linux (2.4.9-7BOOT)
        root (hd1,0)
        kernel /vmlinuz-2.4.9-7BOOT ro root=/dev/sda6
        initrd /initrd-2.4.9-7BOOT.img
title Red Hat Linux (2.4.9-7)
        root (hd1,0)
        kernel /vmlinuz-2.4.9-7 ro root=/dev/sda6
        initrd /initrd-2.4.9-7.img
title Red Hat Linux-smp (2.4.7-10smp)
        root (hd1,0)
        kernel /vmlinuz-2.4.7-10smp ro root=/dev/sda6
        initrd /initrd-2.4.7-10smp.img
Disk /dev/sda: 255 heads, 63 sectors, 1115 cylinders
Units = cylinders of 16065 * 512 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/sda1   *         1         5     40131   83  Linux
/dev/sda4             6      1115   8916075    5  Extended
/dev/sda5             6        71    530113+  82  Linux swap
/dev/sda6            72      1115   8385898+  83  Linux


device.map:
# this device map was generated by anaconda
(fd0)     /dev/fd0
(hd1)     /dev/sda	

Additional info:
Comment 1 Jeremy Katz 2001-10-29 16:58:35 EST
If your SCSI disk is the first disk in BIOS boot order, could you change
/boot/grub/device.map to look like

(fd0) /dev/fd0
(hd0) /dev/sda


and re-run grub-install to see if that fixes the problem?
Comment 2 Norm Murray 2001-10-30 14:24:45 EST
That fixed it. Thanks. :)

Note You need to log in before you can comment on or make changes to this bug.